GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GLSParcelShop Class Reference

## Public Member Functions
String | getParcelShopId ()
void | setParcelShopId (String value)
GLSAddress | getAddress ()
void | setAddress (GLSAddress value)
GLSPhonenumber | getPhone ()
void | setPhone (GLSPhonenumber value)
GLSPhonenumber | getMobile ()
void | setMobile (GLSPhonenumber value)
GLSPhonenumber | getFax ()
void | setFax (GLSPhonenumber value)
String | getEmail ()
void | setEmail (String value)
String | getURL ()
void | setURL (String value)
GLSCoordinates | getGLSCoordinates ()
void | setGLSCoordinates (GLSCoordinates value)
List< GLSWorkingDay > | getGLSWorkingDay ()
String | getType ()
void | setType (String value)

## Protected Attributes
String | parcelShopId
GLSAddress | address
GLSPhonenumber | phone
GLSPhonenumber | mobile
GLSPhonenumber | fax
String | email
String | url
GLSCoordinates | glsCoordinates
List< GLSWorkingDay > | glsWorkingDay
String | type

## Detailed Description

Java class for GLSParcelShop complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GLSParcelShop">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ParcelShopId" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Address" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSAddress"/>
            <element name="Phone" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSPhonenumber" minOccurs="0"/>
            <element name="Mobile" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSPhonenumber" minOccurs="0"/>
            <element name="Fax" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSPhonenumber" minOccurs="0"/>
            <element name="Email" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="URL" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="GLSCoordinates" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSCoordinates"/>
            <element name="GLSWorkingDay" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSWorkingDay" maxOccurs="7" minOccurs="0"/>
            <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 53 of file GLSParcelShop.java.

## Member Function Documentation

## ◆ getAddress()

GLSAddress eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is GLSAddress

Definition at line 108 of file GLSParcelShop.java.

## ◆ getEmail()

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getEmail | ( |  | ) |

Gets the value of the email property.

Returns
  possible object is String

Definition at line 204 of file GLSParcelShop.java.

## ◆ getFax()

GLSPhonenumber eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getFax | ( |  | ) |

Gets the value of the fax property.

Returns
  possible object is GLSPhonenumber

Definition at line 180 of file GLSParcelShop.java.

## ◆ getGLSCoordinates()

GLSCoordinates eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getGLSCoordinates | ( |  | ) |

Gets the value of the glsCoordinates property.

Returns
  possible object is GLSCoordinates

Definition at line 252 of file GLSParcelShop.java.

## ◆ getGLSWorkingDay()

List<GLSWorkingDay> eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getGLSWorkingDay | ( |  | ) |

Gets the value of the glsWorkingDay property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the glsWorkingDay property.

For example, to add a new item, do as follows:

       getGLSWorkingDay().add(newItem);

Objects of the following type(s) are allowed in the list GLSWorkingDay

Definition at line 290 of file GLSParcelShop.java.

## ◆ getMobile()

GLSPhonenumber eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getMobile | ( |  | ) |

Gets the value of the mobile property.

Returns
  possible object is GLSPhonenumber

Definition at line 156 of file GLSParcelShop.java.

## ◆ getParcelShopId()

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getParcelShopId | ( |  | ) |

Gets the value of the parcelShopId property.

Returns
  possible object is String

Definition at line 84 of file GLSParcelShop.java.

## ◆ getPhone()

GLSPhonenumber eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getPhone | ( |  | ) |

Gets the value of the phone property.

Returns
  possible object is GLSPhonenumber

Definition at line 132 of file GLSParcelShop.java.

## ◆ getType()

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getType | ( |  | ) |

Gets the value of the type property.

Returns
  possible object is String

Definition at line 305 of file GLSParcelShop.java.

## ◆ getURL()

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.getURL | ( |  | ) |

Gets the value of the url property.

Returns
  possible object is String

Definition at line 228 of file GLSParcelShop.java.

## ◆ setAddress()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setAddress | ( | GLSAddress | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is GLSAddress

Definition at line 120 of file GLSParcelShop.java.

## ◆ setEmail()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setEmail | ( | String | value | ) |

Sets the value of the email property.

Parameters

  value | allowed object is String

Definition at line 216 of file GLSParcelShop.java.

## ◆ setFax()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setFax | ( | GLSPhonenumber | value | ) |

Sets the value of the fax property.

Parameters

  value | allowed object is GLSPhonenumber

Definition at line 192 of file GLSParcelShop.java.

## ◆ setGLSCoordinates()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setGLSCoordinates | ( | GLSCoordinates | value | ) |

Sets the value of the glsCoordinates property.

Parameters

  value | allowed object is GLSCoordinates

Definition at line 264 of file GLSParcelShop.java.

## ◆ setMobile()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setMobile | ( | GLSPhonenumber | value | ) |

Sets the value of the mobile property.

Parameters

  value | allowed object is GLSPhonenumber

Definition at line 168 of file GLSParcelShop.java.

## ◆ setParcelShopId()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setParcelShopId | ( | String | value | ) |

Sets the value of the parcelShopId property.

Parameters

  value | allowed object is String

Definition at line 96 of file GLSParcelShop.java.

## ◆ setPhone()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setPhone | ( | GLSPhonenumber | value | ) |

Sets the value of the phone property.

Parameters

  value | allowed object is GLSPhonenumber

Definition at line 144 of file GLSParcelShop.java.

## ◆ setType()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setType | ( | String | value | ) |

Sets the value of the type property.

Parameters

  value | allowed object is String

Definition at line 317 of file GLSParcelShop.java.

## ◆ setURL()

void eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.setURL | ( | String | value | ) |

Sets the value of the url property.

Parameters

  value | allowed object is String

Definition at line 240 of file GLSParcelShop.java.

## Member Data Documentation

## ◆ address

GLSAddress eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.address
| protected

Definition at line 58 of file GLSParcelShop.java.

## ◆ email

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.email
| protected

Definition at line 66 of file GLSParcelShop.java.

## ◆ fax

GLSPhonenumber eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.fax
| protected

Definition at line 64 of file GLSParcelShop.java.

## ◆ glsCoordinates

GLSCoordinates eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.glsCoordinates
| protected

Definition at line 70 of file GLSParcelShop.java.

## ◆ glsWorkingDay

List<GLSWorkingDay> eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.glsWorkingDay
| protected

Definition at line 72 of file GLSParcelShop.java.

## ◆ mobile

GLSPhonenumber eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.mobile
| protected

Definition at line 62 of file GLSParcelShop.java.

## ◆ parcelShopId

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.parcelShopId
| protected

Definition at line 56 of file GLSParcelShop.java.

## ◆ phone

GLSPhonenumber eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.phone
| protected

Definition at line 60 of file GLSParcelShop.java.

## ◆ type

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.type
| protected

Definition at line 74 of file GLSParcelShop.java.

## ◆ url

String eu.glsgroup.ws.parcelshopsearch.GLSParcelShop.url
| protected

Definition at line 68 of file GLSParcelShop.java.

The documentation for this class was generated from the following file:

- GLSParcelShop.java